#!/usr/bin/env bash

json=$(hyprctl clients -j)
window=$(echo $json | jq .[].title | rofi -i -sync -dmenu -p " " -theme ~/.config/rofi/launchers-git/laptop-rbw-wayland.rasi)

echo $window

win=$(echo $json | jq ".[] | select(.title==$window).address" | sed 's/"//g')

echo $win

if [ ! -z "$win" ]
then
    hyprctl dispatch focuswindow address:$win
fi

